
@echo off
setlocal enabledelayedexpansion

set base_dir="%~dp0"
set title_name=%base_dir%
set title_name_replace=%title_name:\=/%
title %title_name_replace%

set lib_dir=%base_dir%\lib

set class_path=

for /R %lib_dir% %%s in (*.jar) do (
    set    "class_path=!class_path!;"%%s""
)

set vm_param=
set vm_param= %vm_param% -Xmx1024m -Xms512m -XX:+HeapDumpOnOutOfMemoryError
set vm_param= %vm_param% -Dlog4j.configurationFile=./cfg/log4j2.xml -DAsyncLoggerConfig.RingBufferSize=12800 -Dlog4j2.AsyncQueueFullPolicy=com.sse.fea.monitor.exception.CustomDiscardingLogAsyncQueueFullPolicy
rem call :GenerateRandNum
rem set vm_param= %vm_param% -verbose:GC -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:gc.log.%randNum%

java %vm_param%  -classpath %class_path% com.security.sse.BootStrap $*

pause

:GenerateRandNum
set str=abcdefghijklmnopqrstuvwxyz0123456789
for /l %%L in (1 1 16) do (
    set /a n = !random! %% 36
    for %%n in (!n!) do set randNum=!randNum!!str:~%%n,1!
)
